Subject: bug#32790: 27.0.50; point jumps unexpectedly after delete-window

From: martin rudalics <[email-masked]>
Date: Mon, 26 Nov 2018 10:33:08 +0100

>> -     ((eq buffer (window-buffer)))
 >> +     ((and (eq buffer (window-buffer))
 >> +           (not switch-to-buffer-pop-to)))
 >>
 >> This would show the buffer twice even when it already appears in the
 >> same window, right?  Are you sure that this is TRT?  Unconditionally?
 >
 > This change is intentional.  If the user requests to display the same
 > buffer in another window, we have to follow user's request - it's
 > a normal wish to display the same buffer in two different windows.

OK.  The user can still reuse the window via the buffer display
options.

 > Sorry, I created the previous patch ignoring whitespace changes, so it
 > would be easier for you to see differences.  But now it should apply
 > properly with this new patch that takes into account all your comments:

I see no more problems so feel free to install.  A doc-string update
and proper documentation in the manual are strictly needed, though.

Thanks, martin